#!/bin/sh

echo "math user: $MATHEMATICAUSER";
MATHCMD="math"

if [ "$MATHEMATICAUSER" = "" ]; then
    $MATHCMD < bindings/Mathematica/compile.m
else
    echo installing as $MATHEMATICAUSER
    MATHDIR=bindings/Mathematica
    sudo chown "$MATHEMATICAUSER" \
         $MATHDIR/bindings.cpp $MATHDIR/QQbarThreshold.m.out
    sudo --user="$MATHEMATICAUSER" \
         LIBQQBAR_THRESHOLD_INSTALL_PREFIX=$LIBQQBAR_THRESHOLD_INSTALL_PREFIX \
         $MATHCMD < $MATHDIR/compile.m
fi
